## ExampleObjectManagerClient

ExampleObjectManagerClient — Generated GDBusObjectManagerClient type

## Functions

GType | example_object_manager_client_get_proxy_type ()
void | example_object_manager_client_new ()
GDBusObjectManager * | example_object_manager_client_new_finish ()
GDBusObjectManager * | example_object_manager_client_new_sync ()
void | example_object_manager_client_new_for_bus ()
GDBusObjectManager * | example_object_manager_client_new_for_bus_finish ()
GDBusObjectManager * | example_object_manager_client_new_for_bus_sync ()

## Types and Values

struct | ExampleObjectManagerClient
struct | ExampleObjectManagerClientClass

## Object Hierarchy

        GObject
        ╰── GDBusObjectManagerClient
            ╰── ExampleObjectManagerClient

## Implemented Interfaces

ExampleObjectManagerClient implements GInitable, GAsyncInitable and GDBusObjectManager.

## Description

This section contains a GDBusObjectManagerClient that uses `example_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc.

## Functions

### example_object_manager_client_get_proxy_type ()

    GType
    example_object_manager_client_get_proxy_type
                                   (GDBusObjectManagerClient *manager,
                                    const gchar *object_path,
                                    const gchar *interface_name,
                                    gpointer user_data);

A GDBusProxyTypeFunc that maps `interface_name` to the generated GDBusObjectProxy- and GDBusProxy-derived types.

#### Parameters

manager | A GDBusObjectManagerClient. |
object_path | The object path of the remote object (unused). |
interface_name | Interface name of the remote object or `NULL` to get the object proxy GType. | [allow-none]
user_data | User data (unused). |

#### Returns

A GDBusProxy-derived GType if `interface_name` is not `NULL`, otherwise the GType for ExampleObjectProxy.

### example_object_manager_client_new ()

    void
    example_object_manager_client_new (GDBusConnection *connection,
                                       GDBusObjectManagerClientFlags flags,
                                       const gchar *name,
                                       const gchar *object_path,
                                       GCancellable *cancellable,
                                       GAsyncReadyCallback callback,
                                       gpointer user_data);

Asynchronously creates GDBusObjectManagerClient using `example_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new()` for more details.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `example_object_manager_client_new_finish()` to get the result of the operation.

See `example_object_manager_client_new_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### example_object_manager_client_new_finish ()

    GDBusObjectManager *
    example_object_manager_client_new_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `example_object_manager_client_new()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `example_object_manager_client_new()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type ExampleObjectManagerClient]

### example_object_manager_client_new_sync ()

    GDBusObjectManager *
    example_object_manager_client_new_sync
                                   (GDBusConnection *connection,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously creates GDBusObjectManagerClient using `example_object_manager_client_get_proxy_type()` as the GDBusProxyTypeFunc. See `g_dbus_object_manager_client_new_sync()` for more details.

The calling thread is blocked until a reply is received.

See `example_object_manager_client_new()` for the asynchronous version of this constructor.

#### Parameters

connection | A GDBusConnection. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique) or `NULL` if `connection` is not a message bus connection. | [allow-none]
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type ExampleObjectManagerClient]

### example_object_manager_client_new_for_bus ()

    void
    example_object_manager_client_new_for_bus
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Like `example_object_manager_client_new()` but takes a GBusType instead of a GDBusConnection.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from. You can then call `example_object_manager_client_new_for_bus_finish()` to get the result of the operation.

See `example_object_manager_client_new_for_bus_sync()` for the synchronous, blocking version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
callback | A GAsyncReadyCallback to call when the request is satisfied. |
user_data | User data to pass to `callback` . |

### example_object_manager_client_new_for_bus_finish ()

    GDBusObjectManager *
    example_object_manager_client_new_for_bus_finish
                                   (GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `example_object_manager_client_new_for_bus()`.

#### Parameters

res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `example_object_manager_client_new_for_bus()`. |
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type ExampleObjectManagerClient]

### example_object_manager_client_new_for_bus_sync ()

    GDBusObjectManager *
    example_object_manager_client_new_for_bus_sync
                                   (GBusType bus_type,
                                    GDBusObjectManagerClientFlags flags,
                                    const gchar *name,
                                    const gchar *object_path,
                                    GCancellable *cancellable,
                                    GError **error);

Like `example_object_manager_client_new_sync()` but takes a GBusType instead of a GDBusConnection.

The calling thread is blocked until a reply is received.

See `example_object_manager_client_new_for_bus()` for the asynchronous version of this constructor.

#### Parameters

bus_type | A GBusType. |
flags | Flags from the GDBusObjectManagerClientFlags enumeration. |
name | A bus name (well-known or unique). |
object_path | An object path. |
cancellable | A GCancellable or `NULL`. | [allow-none]
error | Return location for error or `NULL` |

#### Returns

The constructed object manager client or `NULL` if `error` is set.

[transfer full][type ExampleObjectManagerClient]

## Types and Values

### struct ExampleObjectManagerClient

    struct ExampleObjectManagerClient;

The ExampleObjectManagerClient structure contains only private data and should only be accessed using the provided API.

### struct ExampleObjectManagerClientClass

    struct ExampleObjectManagerClientClass {
      GDBusObjectManagerClientClass parent_class;
    };

Class structure for ExampleObjectManagerClient.

#### Members

GDBusObjectManagerClientClass `parent_class`; | The parent class. |